Application: gvSIG desktop - gvSIG bugs #2655
Notications mode (Preferences) is not translatable

07/09/2014 04:31 AM - Antonio Falciano

Status:
Priority:
Assignee:
Category:
Target version:

Closed
Normal
Joaquin del Cerro Murciano

2.1.0-2251-testing

% Done: 0%
Spent time: 0.00 hour

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2233 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: translations, i18n Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

Associated revisions

Revision 41776 - 10/16/2014 08:52 AM - Joaquin del Cerro Murciano

Anadidas traducciones a la pagina de preferencias de Notificaciones. refs #2655

History

#1 - 07/09/2014 05:05 AM - Alvaro Anguix
- Assignee set to Mario Carrera

#2 - 10/16/2014 06:09 AM - Antonio Falciano
- Target version set to 2.1.0-2259-rc3

- File NotificationsPage.patch added

Has patch: Yes

#3 - 10/16/2014 06:50 AM - Alvaro Anguix

- Has patch set to Yes

- Assignee changed from Mario Carrera to Joaquin del Cerro Murciano

#4 - 10/16/2014 08:54 AM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2251-testing

- Status changed from New to Fixed

Hola Antonio,

a la hora de usar las traducciones en gvSIG 2, en lugar de usar "PluginServices.getText"

es rcomendable usar el metodo getTranslation del 118nManeger. Por ejemplo, en lugar de:

public String getTitle() {

return PluginServices.getText(this, "notifications_mode");
Usar:

public String getTitle() {
I18nManager i18nManager = ToolsLocator.getl18nManager();
return i18nManager.getTranslation("notifications_mode");

#5 - 10/16/2014 09:40 AM - Antonio Falciano

Hi Joaquin, you're right. | was (wrongly) inspired by the other preference pages. :P

#6 - 10/16/2014 11:29 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
notifications.png 25.4 KB 07/09/2014 Antonio Falciano
NotificationsPage.patch 2.6 KB 10/16/2014 Antonio Falciano
